jadwal/urls.py
from django.urls import path
from . import views
app_name = "jadwal"

urlpatterns = [
    path('', views.add, name = "tambah_jadwal"),
    path('delete/<str:pk>/',views.delete, name='delete'),
]

story4ppw/urls.py
from django.contrib import admin
from django.urls import include, path

urlpatterns = [
    path('admin/', admin.site.urls),
    path('', include('story1.urls')),
    path('story1/', include('story1.urls')),
    path('story3/', include('story3.urls')),
    path('jadwal/', include('jadwal.urls')),
    path('registrasi/', include('registrasi.urls')),
    path('story6/', include('story6.urls')),
    #path('bio/', include('story3.urls')),
]

jadwal/models.py
from django.db import models

class Jadwal(models.Model):
    matkul = models.CharField(max_length=120)
    dosen = models.CharField(max_length=120)
    sks = models.CharField(max_length=120)
    deskripsi = models.CharField(max_length=120)
    semester = models.CharField(max_length=120)
    ruang = models.CharField(max_length=120)

# Create your models here.

jadwal/views.py
from django.shortcuts import render, redirect
from .models import Jadwal
# Create your views here.

def add(request):
    Parameter = False
    nama = ""

    bebas = Jadwal.objects.all()

    if request.method == "POST":
        Parameter = True
        matkul1 = request.POST.get("nama")
        dosen1 = request.POST.get("dosen")
        sks1 = request.POST.get("sks")
        deskripsi1 = request.POST.get("deskripsi")
        semester1 = request.POST.get("semester")
        ruang1 = request.POST.get("ruang")
        p = Jadwal.objects.create(matkul = matkul1, dosen = dosen1, sks = sks1, deskripsi = deskripsi1, semester = semester1, ruang = ruang1)
        p.save()
        nama = matkul1

    context = {
        'param' : Parameter,
        'bebas1' : bebas
    }
    return render(request, 'overall.html', context)

def delete(request, pk):
    item=Jadwal.objects.get(id=pk)
    if request.method == "POST":
        item.delete()
        return redirect("/jadwal")
    context ={
        'matkuli': item,
    }
    return render(request,'hapus.html',context)

jadwal/templates/hapus.html
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css" integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous">
    <title>Hapus</title>
</head>
<body class = "bg-warning">
    <div class="container-fluid">
        <div class="halaman">
            <h2>Apakah kamu ingin menghapus {{matkuli.matkul}}</h2>

            <form action="." method="POST">{% csrf_token %}
                <a class="btn btn-outline-primary" href="{% url 'jadwal:tambah_jadwal' %}">Cancel</a>
                <input class="btn btn-outline-danger" type="submit" Value="Confirm" name="Confirm">
            </form>
        </div>
    </div>
</div>

</body>
</html>

jadwal/templates/overall.html
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css" integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous">
    <title>Registrasi Jadwal</title>
</head>
<body class = "bg-warning">
    <form action="." method="POST">{% csrf_token %}     
        <div class="form-row">
          <div class="form-group col-md-6">
            <label for="matkul">Mata Kuliah</label>
            <input type="text" name = "nama" class="form-control">
          </div>
          <div class="form-group col-md-6">
            <label for="semester berapa">Semester</label>
            <input type="text" name = "semester" class="form-control">
          </div>
        </div>
        <div class="form-group col">
          <label for="nama dosen matkul">Dosen</label>
          <input type="text" name = "dosen" class="form-control">
        </div>
        <div class="form-row">
          <div class="form-group col-md-6">
            <label for="ruangan kelas">Ruang</label>
            <input type="text" name = "ruang" class="form-control">
          </div>
          <div class="form-group col-md-6">
            <label for="jumlah sks">SKS</label>
            <input type="text" name = "sks" class="form-control">
          </div>
          <div class="form-group">
            <label for="deskripsi matkul">Deskripsi</label>
            <textarea class="form-control" name = "deskripsi" rows="3"></textarea>
          </div>
        </div>
        </div>
        <button type="submit" class="btn btn-dark">Submit Bro/Sis</button>
      </form>
      <table class="table table-striped table-dark">
        <thead>
          <tr>
            <th scope="col">No.</th>
            <th scope="col">Mata Kuliah</th>
            <th scope="col">Nama Dosen</th>
            <th scope="col">Jumlah SKS</th>
            <th scope="col">Ruang Kelas</th>
            <th scope="col">Tahun Semester</th>
            <th scope="col">Deskripsi</th>
        
          </tr>
        </thead>
        <tbody>
            {% for i in bebas1 %}
          <tr>
            <td>{{i.id}}</td>
            <td>{{i.matkul}}</td>
            <td>{{i.dosen}}</td>
            <td>{{i.sks}}</td>
            <td>{{i.ruang}}</td>
            <td>{{i.semester}}</td>
            <td>{{i.deskripsi}}</td>
            <td>
                <a class="btn btn-outline-danger" value="Delete" href = "{% url 'jadwal:delete' i.id %}">Delete</a>
            </td>
          </tr>
          {% endfor %}
        </tbody>
      </table>  
    
</body>
</html>